<?php //#################################################################################
/*############################# scontent!-Plugin  #######################################
| copyright: 	Markus Vetter 				| This version: V.0.21 		|
| email:	info@mv-web-design.de 			| 		11.07.2007	|
| home:		www.mv-web-design.de/?CMSimple		|		include.inc	|
-----------------------------------------------------------------------------------------

			For further informations: index.php

-----------------------------------------------------------------------------------------
#######################################################################################*/
//### scontent_get_file  ###############################################################/
function scontent_get_file($file_name, $ending='txt', $create_new='a', $expand_integer=FALSE)
{
global $plugin_pth, $mvwd_new_file_content;

if (!$file_name) { echo('no Filename!!'); return false; }

if(gettype($file_name)=='integer'&&$expand_integer)
{ if ($file_name<100) { $file_name='0'.$file_name; }
  if ($file_name<10)  { $file_name='0'.$file_name; } }

$file_name = $plugin_pth."/content/".$file_name.'.'.$ending;

if (!file_exists($file_name)) 
{ $fh = fopen($file_name, $create_new);
  echo('A new file was created: '.$file_name);
  fputs($fh,$mvwd_new_file_content);
  fclose($fh); }

return $file_name;
}
//### END: scontent_get_file  ##########################################################/
//### scontent_read_file  ##############################################################/
function scontent_read_file($file_name, $list_parameters, $set_array_names=TRUE) 
{
if (!$file_name) { echo('no Filename!!'); return false; }
if (!$list_parameters||!is_array($list_parameters)) { echo('no List-Parameters!!'); return false; } 

$file_name = scontent_get_file($file_name);

if(is_file($file_name)&&$list_parameters)  //## read from File seperated by ';'.
{ if(!$set_array_names) { $list_parameters=array_keys($list_parameters); } 
  // if not set: kill assoziative-Array an set numeric values for keys and values

  $fh = fopen($file_name, "r");
  $i=0;
  while (!feof($fh)) 
  { $line = fgets($fh, 4096);
    if (count(explode(";",$line))>count($list_parameters)) { echo('More values read than declined in List-Parameters. Please contact your distributor!'); return false; } // check if more values than list parameters!
    //$file_array[$i]=explode(";",$line); //tut!
    //$file_array[$i]=array_combine($list_parameters,explode(";",$line)); //PHP5 only
    $file_array[$i]=explode(";",$line);
    $i++; } 
  fclose($fh); }
else { echo('Sorry, cannot open this file: '.$file_name); return false; }

if ($set_array_names)
{ foreach($file_array as $line => $content)
  { $file_array[$line]= array_combine($list_parameters, $content); } }

return $file_array;
}
//### END: scontent_read_file  #########################################################/
//### scontent_write_line  #############################################################/
function scontent_write_line($file_name, $new_line_array) 
{                                       //## write values to File seperated by ';'.
$file_name = scontent_get_file($file_name);

if(!$new_line_array||!is_array($new_line_array)) { echo('new line is no Array!!'); return false; } 
// break if new Line is no Array

if(is_file($file_name)) 
{ if (!$fh = fopen($file_name, "a")) { echo('Sorry, cannot write to file: '.$file_name); return false; } 
  else {$new_line="\n".implode(";", $new_line_array); fputs($fh,$new_line); }
  fclose($fh); }
else 
{ echo('Sorry, cannot write to file: '.$file_name); return false; }

return true;
}
//### END: scontent_write_line  ########################################################/
//### scontent_array_combine ###########################################################/
if (!function_exists('array_combine')) 
{ 
function array_combine( $keys, $vals ) 
 { $keys = array_values((array)$keys);
   $vals = array_values((array)$vals);
   $n = max(count($keys), count($vals));
   $r = array();
   for( $i=0; $i<$n; $i++ ) { $r[$keys[$i]]=$vals[$i]; }
   return $r; }
}
//### END: scontent_array_combine ######################################################/
?>